(function ($) {
    "use strict";

    jQuery("#bgndVideo").YTPlayer();

    var win = $(window);
    win.on('load', function () {
        $('#preloader').delay(350).fadeOut('slow');
        $('body').delay(350).css({'overflow': 'visible'});
    });

    $('.shopping-cart-btn').on('click', function (event) {
        event.preventDefault();
        $('.shopping-cart-area').addClass('active');
        $('.body-overlay').addClass('active');
    });

    $('.close-shopping-cart > a').on('click', function (event) {
        event.preventDefault();
        $('.shopping-cart-area').removeClass('active');
        $('.body-overlay').removeClass('active');
    });

    /*------------------------------------
        Mobile Menu
    --------------------------------------*/
    $('#mobile-menu-active').metisMenu();

    $('#mobile-menu-active .has-dropdown > a').on('click', function (e) {
        e.preventDefault();
    });

    $(".hamburger-menu > a").on("click", function (e) {
        e.preventDefault();
        $(".slide-bar").toggleClass("show");
        $("body").addClass("on-side");
        $('.body-overlay').addClass('active');
        $(this).addClass('active');
    });

    $(".close-mobile-menu > a").on("click", function (e) {
        e.preventDefault();
        $(".slide-bar").removeClass("show");
        $("body").removeClass("on-side");
        $('.body-overlay').removeClass('active');
        $('.hamburger-menu > a').removeClass('active');
    });

    $('.body-overlay').on('click', function () {
        $(this).removeClass('active');
        $(".slide-bar").removeClass("show");
        $("body").removeClass("on-side");
        $('.hamburger-menu > a').removeClass('active');
    });

    // header - sticky
    win.on('scroll', function () {
        var scroll = $(window).scrollTop();
        if (scroll < 245) {
            $(".header-sticky").removeClass("sticky");
        } else {
            $(".header-sticky").addClass("sticky");
        }
    });

    // menu-last class
    $('.main-menu nav > ul > li').slice(-2).addClass('menu-last');


    // data - background
    $("[data-background]").each(function () {
        $(this).css("background-image", "url(" + $(this).attr("data-background") + ")");
    });

    $("[data-bg-color]").each(function () {
        $(this).css("background", $(this).attr("data-bg-color"));
    });

    /* magnificPopup img view */
    $('.popup-image').magnificPopup({
        type: 'image',
        gallery: {
            enabled: true
        }
    });

    /* magnificPopup video view */
    $('.popup-video').magnificPopup({
        type: 'iframe'
    });

    // mainSlider
    function mainSlider() {
        var BasicSlider = $('.slider-active');
        var $slider_settings = $('.slider-settings').data('settings');
        var $slider_items = $slider_settings.slidesToShow;
        var $slider_infinite = $slider_settings.infinite;
        var $slider_playspeed = $slider_settings.autoplaySpeed;
        var $slider_autoplay = $slider_settings.autoplay;
        var $slider_dots = $slider_settings.dots;
        var $slider_arrows = $slider_settings.arrows;
        var $slider_fade = $slider_settings.fade;

        BasicSlider.on('init', function (e, slick) {
            var $firstAnimatingElements = $('.single-slider:first-child').find('[data-animation]');
            doAnimations($firstAnimatingElements);
        });
        BasicSlider.on('beforeChange', function (e, slick, currentSlide, nextSlide) {
            var $animatingElements = $('.single-slider[data-slick-index="' + nextSlide + '"]').find('[data-animation]');
            doAnimations($animatingElements);
        });
        BasicSlider.slick({
            slidesToShow: $slider_items,
            slidesToScroll: 1,
            autoplay: $slider_autoplay,
            autoplaySpeed: $slider_playspeed,
            infinite: $slider_infinite,
            dots: $slider_dots,
            fade: $slider_fade,
            rtl: true,
            arrows: $slider_arrows,
            prevArrow: '<button type="button" class="slick-prev"><i class="fas fa-arrow-left"></i></button>',
            nextArrow: '<button type="button" class="slick-next"><i class="fas fa-arrow-right"></i></button>',
            responsive: [
                {
                    breakpoint: 1024,
                    settings: {
                        slidesToShow: 1,
                        slidesToScroll: 1,
                        infinite: true,
                    }
                },
                {
                    breakpoint: 991,
                    settings: {
                        slidesToShow: 1,
                        slidesToScroll: 1,
                        arrows: false
                    }
                },
                {
                    breakpoint: 767,
                    settings: {
                        slidesToShow: 1,
                        slidesToScroll: 1,
                        arrows: false
                    }
                }
            ]
        });

        function doAnimations(elements) {
            var animationEndEvents = 'webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend';
            elements.each(function () {
                var $this = $(this);
                var $animationDelay = $this.data('delay');
                var $animationType = 'animated ' + $this.data('animation');
                $this.css({
                    'animation-delay': $animationDelay,
                    '-webkit-animation-delay': $animationDelay
                });
                $this.addClass($animationType).one(animationEndEvents, function () {
                    $this.removeClass($animationType);
                });
            });
        }
    }

    function mainSlider2() {
        var mainSlider2 = $('.slider-active');
        var $slider_settings = $('.slider-settings').data('settings');
        var $slider_items = $slider_settings.slidesToShow;
        var $slider_infinite = $slider_settings.infinite;
        var $slider_playspeed = $slider_settings.autoplaySpeed;
        var $slider_autoplay = $slider_settings.autoplay;
        var $slider_dots = $slider_settings.dots;
        var $slider_arrows = $slider_settings.arrows;
        var $slider_fade = $slider_settings.fade;

        $('.slider-active-three').slick({
            slidesToShow: $slider_items,
            slidesToScroll: 1,
            autoplay: $slider_autoplay,
            autoplaySpeed: $slider_playspeed,
            infinite: $slider_infinite,
            dots: $slider_dots,
            fade: $slider_fade,
            rtl: true,
            arrows: $slider_arrows,
            speed: 300,
            prevArrow: '<button type="button" class="slick-prev"><i class="far fa-long-arrow-alt-left"></i><span>next</span></button>',
            nextArrow: '<button type="button" class="slick-next"><i class="far fa-long-arrow-alt-right"></i><span>prev</span></button>',
        });
    }

    function disActive() {
        $('.dis-img-active').slick({
            dots: false,
            arrows: true,
            infinite: true,
            speed: 300,
            rtl: true,
            prevArrow: '<button type="button" class="slick-prev"><i class="fal fa-chevron-left"></i></button>',
            nextArrow: '<button type="button" class="slick-next"><i class="fal fa-chevron-right"></i></button>',
            slidesToShow: 1,
            slidesToScroll: 1,
        });
    }

    function brandActive() {
        if (jQuery(".brand-active").length > 0) {
            $('.brand-active').slick({
                dots: false,
                arrows: false,
                infinite: true,
                speed: 300,
                rtl: true,
                prevArrow: '<button type="button" class="slick-prev"><i class="fas fa-arrow-left"></i></button>',
                nextArrow: '<button type="button" class="slick-next"><i class="fas fa-arrow-right"></i></button>',
                slidesToShow: 5,
                slidesToScroll: 1,
                responsive: [
                    {
                        breakpoint: 1200,
                        settings: {
                            slidesToShow: 4,
                            slidesToScroll: 1,
                            infinite: true,
                        }
                    },
                    {
                        breakpoint: 991,
                        settings: {
                            slidesToShow: 4,
                            slidesToScroll: 1
                        }
                    },
                    {
                        breakpoint: 767,
                        settings: {
                            slidesToShow: 2,
                            slidesToScroll: 1
                        }
                    }
                ]
            });
        }
    }

    function productActive() {

    }

    function kitchenActive() {
        if (jQuery(".kitchen-pro-active").length > 0) {
            $('.kitchen-pro-active').slick({
                dots: false,
                arrows: true,
                infinite: true,
                speed: 300,
                rtl: true,
                prevArrow: '<button type="button" class="slick-prev"><i class="far fa-long-arrow-alt-left"></i></button>',
                nextArrow: '<button type="button" class="slick-next"><i class="far fa-long-arrow-alt-right"></i></button>',
                slidesToShow: 1,
                slidesToScroll: 1,
            });
        }
    }

    function categoriesActive(){
        $('.categories-active').slick({
            dots: false,
            arrows: true,
            infinite: true,
            speed: 300,
            rtl: true,
            prevArrow: '<button type="button" class="slick-prev"><i class="fal fa-chevron-left"></i></button>',
            nextArrow: '<button type="button" class="slick-next"><i class="fal fa-chevron-right"></i></button>',
            slidesToShow: 8,
            slidesToScroll: 1,
            responsive: [
                {
                    breakpoint: 1200,
                    settings: {
                        slidesToShow: 6,
                        slidesToScroll: 1,
                        infinite: true,
                    }
                },
                {
                    breakpoint: 991,
                    settings: {
                        slidesToShow: 4,
                        slidesToScroll: 1
                    }
                },
                {
                    breakpoint: 767,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 1
                    }
                },
                {
                    breakpoint: 575,
                    settings: {
                        slidesToShow: 1,
                        slidesToScroll: 1
                    }
                }
            ]
        });
    }

    $(window).on('elementor/frontend/init', function () {
        elementorFrontend.hooks.addAction('frontend/element_ready/slider.default', mainSlider);
        elementorFrontend.hooks.addAction('frontend/element_ready/slider.default', mainSlider2);
        elementorFrontend.hooks.addAction('frontend/element_ready/discover.default', disActive);
        elementorFrontend.hooks.addAction('frontend/element_ready/discover.default', kitchenActive);
        elementorFrontend.hooks.addAction('frontend/element_ready/brand.default', brandActive);
        elementorFrontend.hooks.addAction('frontend/element_ready/services-tab.default', brandActive);
        elementorFrontend.hooks.addAction('frontend/element_ready/woo_product.default', productActive);
        elementorFrontend.hooks.addAction('frontend/element_ready/cat_slider.default', categoriesActive);
    });

    $('.product-active').slick({
        dots: false,
        arrows: true,
        infinite: false,
        speed: 300,
        rtl: true,
        prevArrow: '<button type="button" class="slick-prev"><i class="fas fa-long-arrow-alt-left"></i><span>next</span></button>',
        nextArrow: '<button type="button" class="slick-next"><i class="fas fa-long-arrow-alt-right"></i><span>prev</span></button>',
        slidesToShow: 4,
        slidesToScroll: 1,
        responsive: [
            {
                breakpoint: 1200,
                settings: {
                    slidesToShow: 4,
                }
            },
            {
                breakpoint: 991,
                settings: {
                    slidesToShow: 3,
                }
            },
            {
                breakpoint: 767,
                settings: {
                    slidesToShow: 1,
                }
            }
        ]
    });

    // brand - active

    // product - activation

    // product - activation
    $('.product-deals-five-active').slick({
        dots: false,
        arrows: true,
        infinite: true,
        speed: 300,
        rtl: true,
        prevArrow: '<button type="button" class="slick-prev"><i class="far fa-long-arrow-alt-left"></i><span>next</span></button>',
        nextArrow: '<button type="button" class="slick-next"><i class="far fa-long-arrow-alt-right"></i><span>prev</span></button>',
        slidesToShow: 3,
        slidesToScroll: 1,
        responsive: [
            {
                breakpoint: 1200,
                settings: {
                    slidesToShow: 3,
                }
            },
            {
                breakpoint: 991,
                settings: {
                    slidesToShow: 2,
                }
            },
            {
                breakpoint: 767,
                settings: {
                    slidesToShow: 1,
                }
            }
        ]
    });

    //kitchen product activation


    // categories activation


    /* testimonial-active */
    $('.testimonial-active').slick({
        dots: true,
        arrows: false,
        infinite: true,
        speed: 300,
        rtl: true,
        prevArrow: '<button type="button" class="slick-prev"><i class="fal fa-chevron-left"></i></button>',
        nextArrow: '<button type="button" class="slick-next"><i class="fal fa-chevron-right"></i></button>',
        slidesToShow: 1,
        slidesToScroll: 1,
        responsive: [
            {
                breakpoint: 1200,
                settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1,
                    infinite: true,
                }
            },
            {
                breakpoint: 991,
                settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1
                }
            },
            {
                breakpoint: 767,
                settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1
                }
            },
            {
                breakpoint: 575,
                settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1
                }
            }
        ]
    });
    // blog - active
    $('.postbox__gallery').slick({
        dots: false,
        arrows: true,
        infinite: true,
        speed: 300,
        rtl: true,
        prevArrow: '<button type="button" class="slick-prev"><i class="fas fa-arrow-left"></i></button>',
        nextArrow: '<button type="button" class="slick-next"><i class="fas fa-arrow-right"></i></button>',
        slidesToShow: 1,
        slidesToScroll: 1,
        responsive: [
            {
                breakpoint: 1024,
                settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1,
                    infinite: true,
                }
            },
            {
                breakpoint: 991,
                settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1
                }
            },
            {
                breakpoint: 480,
                settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1
                }
            }
        ]
    });

// isotop
    $('.blog-masonry').imagesLoaded(function () {
        // init Isotope
        var $grid = $('.blog-masonry').isotope({
            itemSelector: '.grid-item',
            percentPosition: true,
            masonry: {
                // use outer width of grid-sizer for columnWidth
                columnWidth: '.grid-item',
            }
        });
    });

// isotop
    $('.grid').imagesLoaded(function () {
        // init Isotope
        var $grid = $('.grid').isotope({
            itemSelector: '.grid-item',
            percentPosition: true,
            masonry: {
                // use outer width of grid-sizer for columnWidth
                columnWidth: '.grid-item',
            }
        });

        // filter items on button click
        $('.portfolio-menu').on('click', 'button', function () {
            var filterValue = $(this).attr('data-filter');
            $grid.isotope({filter: filterValue});
        });
    });


//for menu active class
    $('.portfolio-menu button').on('click', function (event) {
        $(this).siblings('.active').removeClass('active');
        $(this).addClass('active');
        event.preventDefault();
    });


// scrollToTop


// WOW active
new WOW().init();


    // cart-plus-minus
    $(".cart-plus-minus").append('<div class="qtybutton minus">-</div><div class="qtybutton plus">+</div>');

    $(".cart-plus-minus").on("click", ".qtybutton.plus, .qtybutton.minus", function () {
        // Get current quantity values
        var qty = $(this).closest(".cart-plus-minus").find(".qty");
        var val = parseFloat(qty.val());
        var max = parseFloat(qty.attr("max"));
        var min = parseFloat(qty.attr("min"));
        var step = parseFloat(qty.attr("step"));

        // Change the value if plus or minus
        if ($(this).is(".plus")) {
            if (max && max <= val) {
                qty.val(max);
            } 
            else {
                qty.val(val + step).trigger("change");
            }
        } 
        else {
            if (min && min >= val) {
                qty.val(min);
            } 
            else if (val > 1) {
                qty.val(val - step).trigger("change");
            }
        }
    });



    //range slider activation

    $("#slider-range").slider({
        range: true,
        min: 0,
        max: 500,
        values: [75, 300],
        slide: function (event, ui) {
            $("#amount").val("$" + ui.values[0] + " - $" + ui.values[1]);
        }
    });
    $("#amount").val("$" + $("#slider-range").slider("values", 0) +
        " - $" + $("#slider-range").slider("values", 1));


    // count down
    $('[data-countdown]').each(function () {
        var $this = $(this),
            finalDate = $(this).data('countdown');
        $this.countdown(finalDate, function (event) {
            $this.html(event.strftime('<div class="time-count">%D <span>days</span></div><div class="time-count">%H <span>hour</span></div><div class="time-count">%M <span>minute</span></div><div class="time-count">%S <span>Second</span></div>'));
        });
    });

    /*-------------------------
        showlogin toggle function
    --------------------------*/
    $('#showlogin').on('click', function () {
        $('#checkout-login').slideToggle(900);
    });

    /*-------------------------
        showcoupon toggle function
    --------------------------*/
    $('#showcoupon').on('click', function () {
        $('#checkout_coupon').slideToggle(900);
    });

    /*-------------------------
        Create an account toggle function
    --------------------------*/
    $('#cbox').on('click', function () {
        $('#cbox_info').slideToggle(900);
    });

    /*-------------------------
        Create an account toggle function
    --------------------------*/
    $('#ship-box').on('click', function () {
        $('#ship-box-info').slideToggle(1000);
    });

    /* Search
    -------------------------------------------------------*/
    var $searchWrap = $('.search-wrap');
    var $navSearch = $('.nav-search');
    var $searchClose = $('#search-close');

    $('.search-trigger').on('click', function (e) {
        e.preventDefault();
        $searchWrap.animate({opacity: 'toggle'}, 500);
        $navSearch.add($searchClose).addClass("open");
    });

    $('.search-close').on('click', function (e) {
        e.preventDefault();
        $searchWrap.animate({opacity: 'toggle'}, 500);
        $navSearch.add($searchClose).removeClass("open");
    });

    function closeSearch() {
        $searchWrap.fadeOut(200);
        $navSearch.add($searchClose).removeClass("open");
    }

    $(document.body).on('click', function (e) {
        closeSearch();
    });

    $(".search-trigger, .main-search-input").on('click', function (e) {
        e.stopPropagation();
    });

    //nice select activation
    $('.sort-wrapper select,.contact__form select,.widget select').niceSelect();


})(jQuery);
