<?php
/**
 * retbo customizer
 *
 * @package retbo
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}



/**
* Added Panels & Sections
*/
function retbo_customizer_panels_sections( $wp_customize ) {

    //Add panel
    $wp_customize->add_panel( 'retbo_customizer', array(
      'priority'    => 10,
      'title'       => esc_html__( 'Retbo Customizer', 'retbo' ),
    ) );


    /**
     * Customizer Section
     */
   	$wp_customize->add_section('header_top_setting', array(
        'title'       => esc_html__( 'Header Topbar Setting', 'retbo' ),
        'description' => '',
        'priority'    => 10,
        'capability'  => 'edit_theme_options',
        'panel'       => 'retbo_customizer',
    ));     

    $wp_customize->add_section('header_social', array(
        'title'       => esc_html__( 'Header Social', 'retbo' ),
        'description' => '',
        'priority'    => 11,
        'capability'  => 'edit_theme_options',
        'panel'       => 'retbo_customizer',
    ));    

    $wp_customize->add_section('section_header_logo', array(
        'title'       => esc_html__( 'Header Setting', 'retbo' ),
        'description' => '',
        'priority'    => 12,
        'capability'  => 'edit_theme_options',
        'panel'       => 'retbo_customizer',
    ));
	
	$wp_customize->add_section('blog_setting', array(
        'title'       => esc_html__( 'Blog Setting', 'retbo' ),
        'description' => '',
        'priority'    => 13,
        'capability'  => 'edit_theme_options',
        'panel'       => 'retbo_customizer',
    ));     

    $wp_customize->add_section('header_side_setting', array(
        'title'       => esc_html__( 'Side Info', 'retbo' ),
        'description' => '',
        'priority'    => 14,
        'capability'  => 'edit_theme_options',
        'panel'       => 'retbo_customizer',
    ));  
	
    $wp_customize->add_section('breadcrumb_setting', array(
        'title'       => esc_html__( 'Breadcrumb Setting', 'retbo' ),
        'description' => '',
        'priority'    => 15,
        'capability'  => 'edit_theme_options',
        'panel'       => 'retbo_customizer',
    ));      

    $wp_customize->add_section('blog_setting', array(
        'title'       => esc_html__( 'Blog Setting', 'retbo' ),
        'description' => '',
        'priority'    => 16,
        'capability'  => 'edit_theme_options',
        'panel'       => 'retbo_customizer',
    )); 

    $wp_customize->add_section('footer_setting', array(
        'title'       => esc_html__( 'Footer Settings', 'retbo' ),
        'description' => '',
        'priority'    => 17,
        'capability'  => 'edit_theme_options',
        'panel'       => 'retbo_customizer',
    )); 

    $wp_customize->add_section('footer_social', array(
        'title'       => esc_html__( 'Footer Social', 'retbo' ),
        'description' => '',
        'priority'    => 18,
        'capability'  => 'edit_theme_options',
        'panel'       => 'retbo_customizer',
    ));       

    $wp_customize->add_section('color_setting', array(
        'title'       => esc_html__( 'Color Setting', 'retbo' ),
        'description' => '',
        'priority'    => 19,
        'capability'  => 'edit_theme_options',
        'panel'       => 'retbo_customizer',
    )); 

    $wp_customize->add_section('404_page', array(
        'title'       => esc_html__( '404 Page', 'retbo' ),
        'description' => '',
        'priority'    => 20,
        'capability'  => 'edit_theme_options',
        'panel'       => 'retbo_customizer',
    ));  

    $wp_customize->add_section('customization_setting', array(
        'title'       => esc_html__( 'Customization On/off', 'retbo' ),
        'description' => '',
        'priority'    => 21,
        'capability'  => 'edit_theme_options',
        'panel'       => 'retbo_customizer',
    ));    

    $wp_customize->add_section('woo_setting', array(
        'title'       => esc_html__( 'Woo Settings', 'retbo' ),
        'description' => '',
        'priority'    => 22,
        'capability'  => 'edit_theme_options',
        'panel'       => 'retbo_customizer',
    )); 

    $wp_customize->add_section('rtl_setting', array(
        'title'       => esc_html__( 'RTL Setting', 'retbo' ),
        'description' => '',
        'priority'    => 23,
        'capability'  => 'edit_theme_options',
        'panel'       => 'retbo_customizer',
    ));    

    $wp_customize->add_section('typo_setting', array(
        'title'       => esc_html__( 'Typography Setting', 'retbo' ),
        'description' => '',
        'priority'    => 24,
        'capability'  => 'edit_theme_options',
        'panel'       => 'retbo_customizer',
    ));      
}

add_action( 'customize_register', 'retbo_customizer_panels_sections' );



function _header_top_fields($fields) {

    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'retbo_topbar_switch',
        'label'       => esc_html__( 'Topbar Swicher', 'retbo' ),
        'section'     => 'header_top_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    );    

    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'retbo_header_search',
        'label'       => esc_html__( 'Search', 'retbo' ),
        'section'     => 'header_top_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    ); 

    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'retbo_header_right',
        'label'       => esc_html__( 'Header Right On/Off', 'retbo' ),
        'section'     => 'header_top_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    );   

    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'retbo_wishlist_switch',
        'label'       => esc_html__( 'Wishlist', 'retbo' ),
        'section'     => 'header_top_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    );    

    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'retbo_account_switch',
        'label'       => esc_html__( 'Account', 'retbo' ),
        'section'     => 'header_top_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    );
       
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_account_link',
        'label'    => esc_html__( 'Account Link', 'retbo' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '#', 'retbo' ),
        'priority' => 10,
    );     

    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_wishlist_link',
        'label'    => esc_html__( 'Wishlist Link', 'retbo' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '#', 'retbo' ),
        'priority' => 10,
    );

    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_login_name',
        'label'    => esc_html__( 'Login text', 'retbo' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'Login', 'retbo' ),
        'priority' => 10,
    );

    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_login_link',
        'label'    => esc_html__( 'Login Link', 'retbo' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '#', 'retbo' ),
        'priority' => 10,
    );

    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_registation_name',
        'label'    => esc_html__( 'Register text', 'retbo' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'Register', 'retbo' ),
        'priority' => 10,
    );

    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_registation_link',
        'label'    => esc_html__( 'Register Link', 'retbo' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '#', 'retbo' ),
        'priority' => 10,
    );

    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_features_text_1',
        'label'    => esc_html__( 'Features text 1', 'retbo' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'Free Shipping On Orders Over $100', 'retbo' ),
        'priority' => 10,
    );  

    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_features_text_2',
        'label'    => esc_html__( 'Features text 2', 'retbo' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'Up To 50% Discount On Selected Styles', 'retbo' ),
        'priority' => 10,
    ); 

    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_features_text_3',
        'label'    => esc_html__( 'Features text 3', 'retbo' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '60+ Arrival Under $50 Everyday', 'retbo' ),
        'priority' => 10,
    ); 

    $fields[] = array(
        'type'     => 'textarea',
        'settings' => 'retbo_news_title',
        'label'    => esc_html__( 'News Title', 'retbo' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'Free Shipping User Coupne Code : <span class="f-700">NEW5</span>', 'retbo' ),
        'priority' => 10,
    ); 

    $fields[] = array(
        'type'     => 'textarea',
        'settings' => 'retbo_phone_number',
        'label'    => esc_html__( 'Phone Number', 'retbo' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( 'For Emergency <span class="f-700">(+2) 1800 356 2010</span>', 'retbo' ),
        'priority' => 10,
    );    

    $fields[] = array(
        'type'     => 'textarea',
        'settings' => 'retbo_free_shipping',
        'label'    => esc_html__( 'Free Shipping', 'retbo' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '<span class="f-700">Free Shipping</span> On Order Over $99', 'retbo' ),
        'priority' => 10,
    );    

    $fields[] = array(
        'type'     => 'textarea',
        'settings' => 'retbo_phone_content',
        'label'    => esc_html__( 'Promo Content', 'retbo' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '1st Time Buyer? Use ONE Promocode To Instantly Get 10% OFF!', 'retbo' ),
        'priority' => 10,
    ); 
       
    $fields[] = array(
        'type'     => 'textarea',
        'settings' => 'retbo_update_covid',
        'label'    => esc_html__( 'Update Covid', 'retbo' ),
        'section'  => 'header_top_setting',
        'default'  => esc_html__( '<span class="f-700">COVID-19 UPDATE</span><span class="f-400">35% Discount Medicine</span>', 'retbo' ),
        'priority' => 10,
    ); 

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'retbo_top_info_color',
        'label'       => __( 'Top Info Color', 'retbo' ),
        'description' => esc_html__( 'This is top info color control.', 'retbo' ),
        'section'     => 'header_top_setting',
        'default'     => '#777',
        'priority'    => 10,
    ];    

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'retbo_top_info_color_3',
        'label'       => __( 'Top Info Color (Home 3)', 'retbo' ),
        'description' => esc_html__( 'This is top info color control.', 'retbo' ),
        'section'     => 'header_top_setting',
        'default'     => '#fff',
        'priority'    => 10,
    ];    

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'retbo_top_info_color_5',
        'label'       => __( 'Top Info Color (Home 5)', 'retbo' ),
        'description' => esc_html__( 'This is top info color control.', 'retbo' ),
        'section'     => 'header_top_setting',
        'default'     => '#111',
        'priority'    => 10,
    ];    
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'retbo_top_right_menu_color',
        'label'       => __( 'Top Right Menu Color', 'retbo' ),
        'description' => esc_html__( 'This is top info color control.', 'retbo' ),
        'section'     => 'header_top_setting',
        'default'     => '#444',
        'priority'    => 10,
    ];

    return $fields;

}
add_filter( 'kirki/fields', '_header_top_fields' );


/*
Header Social
 */
function _header_social_fields($fields) {
    // header section social
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_topbar_fb_url',
        'label'    => esc_html__( 'Facebook Url', 'retbo' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'retbo' ),
        'priority' => 10,
    );    

    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_topbar_twitter_url',
        'label'    => esc_html__( 'Twitter Url', 'retbo' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'retbo' ),
        'priority' => 10,
    );    

    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_topbar_linkedin_url',
        'label'    => esc_html__( 'Linkedin Url', 'retbo' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'retbo' ),
        'priority' => 10,
    );

    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_topbar_instagram_url',
        'label'    => esc_html__( 'Instagram Url', 'retbo' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'retbo' ),
        'priority' => 10,
    );

    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_topbar_youtube_url',
        'label'    => esc_html__( 'Youtube Url', 'retbo' ),
        'section'  => 'header_social',
        'default'  => esc_html__( '#', 'retbo' ),
        'priority' => 10,
    );

    return $fields;
}
add_filter( 'kirki/fields', '_header_social_fields' );

/*
Header Settings
 */
function _header_header_fields($fields) {

    $fields[] = array(
        'type'        => 'select',
        'settings'    => 'choose_default_header',
        'label'       => esc_html__( 'Choose Header Style', 'retbo' ),
        'section'     => 'section_header_logo',
        'default'     => 'header-style-1',
        'placeholder' => esc_html__( 'Select an option...', 'retbo' ),
        'priority'    => 10,
        'choices'     => [
            'header-style-1' => esc_html__( 'Header Style 1', 'retbo' ),
            'header-style-2' => esc_html__( 'Header Style 2', 'retbo' ),
            'header-style-3' => esc_html__( 'Header Style 3', 'retbo' ),
            'header-style-4' => esc_html__( 'Header Style 4', 'retbo' ),
            'header-style-5' => esc_html__( 'Header Style 5', 'retbo' ),
            'header-style-6' => esc_html__( 'Header Style 6', 'retbo' ),
        ],
    );
    $fields[] = array(
        'type'        => 'image',
        'settings'    => 'logo',
        'label'       => esc_html__( 'Header Logo', 'retbo' ),
        'description' => esc_html__( 'Upload Your Logo.', 'retbo' ),
        'section'     => 'section_header_logo',
        'default' => get_template_directory_uri() . '/assets/img/logo/logo.png'
    );   
    $fields[] = array(
        'type'        => 'image',
        'settings'    => 'mobile_menu_logo',
        'label'       => esc_html__( 'Mobile Menu Logo', 'retbo' ),
        'description' => esc_html__( 'Header Mobile Menu Logo', 'retbo' ),
        'section'     => 'section_header_logo',
        'default' => get_template_directory_uri() . '/assets/img/logo/logo.png'
    );  
    $fields[] = array(
        'type'        => 'image',
        'settings'    => 'favicon_url',
        'label'       => esc_html__( 'Favicon', 'retbo' ),
        'description' => esc_html__( 'Favicon Icon', 'retbo' ),
        'section'     => 'section_header_logo',
        'default' => get_template_directory_uri() . '/assets/img/logo/favicon.png'
    );

    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_logo_size',
        'label'    => esc_html__( 'Logo Size', 'retbo' ),
        'section'  => 'section_header_logo',
        'default'  => esc_html__( '155px', 'retbo' ),
        'priority' => 10,
    );

    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_mobile_logo_size',
        'label'    => esc_html__( 'Mobile Logo Size', 'retbo' ),
        'section'  => 'section_header_logo',
        'default'  => esc_html__( '160px', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_main_menu_font',
        'label'    => esc_html__( 'Main Menu Font Size', 'retbo' ),
        'section'  => 'section_header_logo',
        'default'  => esc_html__( '14px', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_main_menu_dorpdown_font',
        'label'    => esc_html__( 'Main Menu Dropdown Font Size', 'retbo' ),
        'section'  => 'section_header_logo',
        'default'  => esc_html__( '13px', 'retbo' ),
        'priority' => 10,
    );

    $fields[] = [
        'type'        => 'color',
        'settings'    => 'retbo_menu_color',
        'label'       => __( 'Menu Color', 'retbo' ),
        'description' => esc_html__( 'This is menu color control.', 'retbo' ),
        'section'     => 'section_header_logo',
        'default'     => '#101a23',
        'priority'    => 10,
    ];    
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'retbo_menu_hover_color',
        'label'       => __( 'Menu Color Hover', 'retbo' ),
        'description' => esc_html__( 'This is menu hover color control.', 'retbo' ),
        'section'     => 'section_header_logo',
        'default'     => '#3e976c',
        'priority'    => 10,
    ];    
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'retbo_menu_home_3_color',
        'label'       => __( 'Menu Color Home 3', 'retbo' ),
        'description' => esc_html__( 'This is menu home-3 color control.', 'retbo' ),
        'section'     => 'section_header_logo',
        'default'     => '#fff',
        'priority'    => 10,
    ];    
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'retbo_menu_hover_home_3_color',
        'label'       => __( 'Menu Color Home 3 Hover', 'retbo' ),
        'description' => esc_html__( 'This is menu home-3 hover color control.', 'retbo' ),
        'section'     => 'section_header_logo',
        'default'     => '#3e976c',
        'priority'    => 10,
    ];    
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'retbo_mobile_menu_color',
        'label'       => __( 'Mobile Menu Color', 'retbo' ),
        'description' => esc_html__( 'This is mobile menu color control.', 'retbo' ),
        'section'     => 'section_header_logo',
        'default'     => '#101a23',
        'priority'    => 10,
    ];    
    $fields[] = [
        'type'        => 'color',
        'settings'    => 'retbo_mobile_menu_hover_color',
        'label'       => __( 'Mobile Menu Color Hover', 'retbo' ),
        'description' => esc_html__( 'This is mobile menu hover color control.', 'retbo' ),
        'section'     => 'section_header_logo',
        'default'     => '#3e976c',
        'priority'    => 10,
    ];
    return $fields;
}
add_filter( 'kirki/fields', '_header_header_fields' );

/*
Header Side Info
 */
function _header_side_fields($fields) {
    // side info settings 
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'retbo_hamburger_hide',
        'label'       => esc_html__( 'Show Hamburger', 'retbo' ),
        'section'     => 'header_side_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    );
    $fields[] = array(
        'type'        => 'image',
        'settings'    => 'retbo_extra_info_logo',
        'label'       => esc_html__( 'Logo', 'retbo' ),
        'description' => esc_html__( 'Logo Side', 'retbo' ),
        'section'     => 'header_side_setting',
        'default' => get_template_directory_uri() . '/assets/img/logo/logo-2.png'
    ); 

    // About Info
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_extra_about_title',
        'label'    => esc_html__( 'About Us Tite', 'retbo' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'About Us', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'textarea',
        'settings' => 'retbo_extra_about_text',
        'label'    => esc_html__( 'About Us Desc..', 'retbo' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'Description Text..', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_extra_button',
        'label'    => esc_html__( 'Button Text', 'retbo' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'Contact Us', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_extra_button_url',
        'label'    => esc_html__( 'Button URL', 'retbo' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '#', 'retbo' ),
        'priority' => 10,
    );


    // contact info 
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_extra_contact_title',
        'label'    => esc_html__( 'Contact Info Title', 'retbo' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'Contact Us', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_extra_address_icon',
        'label'    => esc_html__( 'Office Address Icon', 'retbo' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'fal fa-rocket', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'textarea',
        'settings' => 'retbo_extra_address',
        'label'    => esc_html__( 'Office Address', 'retbo' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '123/A, Miranda City Likaoli Prikano, Dope United States', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_extra_phone_icon',
        'label'    => esc_html__( 'Phone Number Icon', 'retbo' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'far fa-phone', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_extra_phone',
        'label'    => esc_html__( 'Phone Number', 'retbo' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( '+0989 7876 9865 9', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_extra_email_icon',
        'label'    => esc_html__( 'Email Icon', 'retbo' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'far fa-envelope-open', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_extra_email',
        'label'    => esc_html__( 'Email ID', 'retbo' ),
        'section'  => 'header_side_setting',
        'default'  => esc_html__( 'info@basictheme.net', 'retbo' ),
        'priority' => 10,
    );
    return $fields;
}
add_filter( 'kirki/fields', '_header_side_fields' );

/*
_header_page_title_fields
 */
function _header_page_title_fields($fields) {
    // Breadcrumb Setting 
    $fields[] = array(
        'type'        => 'color',
        'settings'    => 'retbo_breadcrumb_bg_color',
        'label'       => __( 'Breadcrumb BG Color', 'retbo' ),
        'description' => esc_html__( 'This is a Breadcrumb bg color control.', 'retbo' ),
        'section'     => 'breadcrumb_setting',
        'default'     => '#f4f9fc',
        'priority' => 10,
    );
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_breadcrumb_spacing',
        'label'    => esc_html__( 'Breadcrumb Padding Top', 'retbo' ),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__( '160px', 'retbo' ),
        'priority' => 10,
    );     
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_breadcrumb_spacing',
        'label'    => esc_html__( 'Breadcrumb Padding Top', 'retbo' ),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__( '160px', 'retbo' ),
        'priority' => 10,
    );     
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_breadcrumb_bottom_spacing',
        'label'    => esc_html__( 'Breadcrumb Bottom Top', 'retbo' ),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__( '160px', 'retbo' ),
        'priority' => 10,
    ); 
    $fields[] = array(
        'type'        => 'image',
        'settings'    => 'breadcrumb_bg_img',
        'label'       => esc_html__( 'Breadcrumb Background Image', 'retbo' ),
        'description' => esc_html__( 'Breadcrumb Background Image', 'retbo' ),
        'section'     => 'breadcrumb_setting',
        'default' => get_template_directory_uri() . '/assets/img/all-bg/papyrus.png'
    );
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'breadcrumb_archive',
        'label'    => esc_html__( 'Breadcrumb Archive', 'retbo' ),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__( 'Archive for category', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'breadcrumb_search',
        'label'    => esc_html__( 'Breadcrumb Search', 'retbo' ),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__( 'Search results for', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'breadcrumb_post_tags',
        'label'    => esc_html__( 'Breadcrumb tagged', 'retbo' ),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__( 'Posts tagged', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'breadcrumb_artitle_post_by',
        'label'    => esc_html__( 'Breadcrumb posted by', 'retbo' ),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__( 'Articles posted by', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'breadcrumb_404',
        'label'    => esc_html__( 'Breadcrumb Page Not Found', 'retbo' ),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__( 'Page Not Found', 'retbo' ),       
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'breadcrumb_page',
        'label'    => esc_html__( 'Breadcrumb Page', 'retbo' ),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__( 'Page', 'retbo' ),       
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'breadcrumb_home',
        'label'    => esc_html__( 'Breadcrumb Home', 'retbo' ),
        'section'  => 'breadcrumb_setting',
        'default'  => esc_html__( 'Home', 'retbo' ),       
        'priority' => 10,
    ); 
    return $fields;
}
add_filter( 'kirki/fields', '_header_page_title_fields' );

/*
Header Social
 */
function _header_blog_fields($fields) {
// Blog Setting
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'retbo_blog_btn_switch',
        'label'       => esc_html__( 'Blog BTN On/Off', 'retbo' ),
        'section'     => 'blog_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    );
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_blog_btn',
        'label'    => esc_html__( 'Blog Button text', 'retbo' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Read More', 'retbo' ),
        'priority' => 10,
    );  
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_blog_btn_rtl',
        'label'    => esc_html__( 'Blog Button text RTL', 'retbo' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Read More', 'retbo' ),
        'priority' => 10,
    ); 
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title',
        'label'    => esc_html__( 'Blog Title', 'retbo' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog', 'retbo' ),
        'priority' => 10,
    ); 
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'breadcrumb_blog_title_details',
        'label'    => esc_html__( 'Blog Details Title', 'retbo' ),
        'section'  => 'blog_setting',
        'default'  => esc_html__( 'Blog Details', 'retbo' ),
        'priority' => 10,
    ); 
    return $fields;
}
add_filter( 'kirki/fields', '_header_blog_fields' );

/*
Footer
 */
function _header_footer_fields($fields) {
    // Footer Setting
    $fields[] = array(
        'type'        => 'select',
        'settings'    => 'choose_default_footer',
        'label'       => esc_html__( 'Choose Footer Style', 'retbo' ),
        'section'     => 'footer_setting',
        'default'     => 'footer-style-1',
        'placeholder' => esc_html__( 'Select an option...', 'retbo' ),
        'priority'    => 10,
        'multiple'    => 1,
        'choices'     => [
            'footer-style-1' => esc_html__( 'Footer Style 1', 'retbo' ),
            'footer-style-2' => esc_html__( 'Footer Style 2', 'retbo' ),
            'footer-style-3' => esc_html__( 'Footer Style 3', 'retbo' ),
            'footer-style-4' => esc_html__( 'Footer Style 4', 'retbo' ),
            'footer-style-5' => esc_html__( 'Footer Style 5', 'retbo' ),
            'footer-style-6' => esc_html__( 'Footer Style 6', 'retbo' ),
        ],
    ); 
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_copyright',
        'label'    => esc_html__( 'Copy Right', 'retbo' ),
        'section'  => 'footer_setting',
        'default'  => esc_html__( '© 2021, retbo Theme. Made with passion by Theme_Pure.', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_copyright_rtl',
        'label'    => esc_html__( 'Copy Right RTL', 'retbo' ),
        'section'  => 'footer_setting',
        'default'  => esc_html__( '© 2021, retbo Theme. Made with passion by Theme_Pure.', 'retbo' ),
        'priority' => 10,
    );    
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_right_text',
        'label'    => esc_html__( 'Footer Right Text', 'retbo' ),
        'section'  => 'footer_setting',
        'default'  => esc_html__( 'All Right Reserved By Theme_Pure.', 'retbo' ),
        'priority' => 10,
    );
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'retbo_footer_social_switch',
        'label'       => esc_html__( 'Social Hide', 'retbo' ),
        'section'     => 'footer_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    );     
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'retbo_scrollup_switch',
        'label'       => esc_html__( 'Scrollup Hide', 'retbo' ),
        'section'     => 'footer_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    );    
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'retbo_scrollup_switch',
        'label'       => esc_html__( 'Scrollup Hide', 'retbo' ),
        'section'     => 'footer_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    );
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'footer_style_2_switch',
        'label'       => esc_html__( 'Footer Style 2 Switch', 'retbo' ),
        'section'     => 'footer_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    );    
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'footer_style_3_switch',
        'label'       => esc_html__( 'Footer Style 3 Switch', 'retbo' ),
        'section'     => 'footer_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    ); 
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'footer_style_4_switch',
        'label'       => esc_html__( 'Footer Style 4 Switch', 'retbo' ),
        'section'     => 'footer_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    );    
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'footer_style_5_switch',
        'label'       => esc_html__( 'Footer Style 5 Switch', 'retbo' ),
        'section'     => 'footer_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    );
    return $fields;
}
add_filter( 'kirki/fields', '_header_footer_fields' );


/*
Header Social
 */
function _footer_social_fields($fields) {
    // header section social
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_footer_fb_url',
        'label'    => esc_html__( 'Facebook Url', 'retbo' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'retbo' ),
        'priority' => 10,
    );
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_footer_twitter_url',
        'label'    => esc_html__( 'Twitter Url', 'retbo' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'retbo' ),
        'priority' => 10,
    );  
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_footer_instagram_url',
        'label'    => esc_html__( 'Instagram Url', 'retbo' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'retbo' ),
        'priority' => 10,
    );

    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_footer_linkedin_url',
        'label'    => esc_html__( 'Linkedin Url', 'retbo' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'retbo' ),
        'priority' => 10,
    );
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_footer_youtube_url',
        'label'    => esc_html__( 'Youtube Url', 'retbo' ),
        'section'  => 'footer_social',
        'default'  => esc_html__( '#', 'retbo' ),
        'priority' => 10,
    );

    return $fields;
}
add_filter( 'kirki/fields', '_footer_social_fields' );

// color
function retbo_color_fields( $fields ) {  
    // Color Settings
    $fields[] = array(
        'type'        => 'color',
        'settings'    => 'retbo_color_option',
        'label'       => __( 'Theme Color', 'retbo' ),
        'description' => esc_html__( 'This is a Theme color control.', 'retbo' ),
        'section'     => 'color_setting',
        'default'     => '#3e976c',
        'priority' => 10,
    );     
    return $fields; 
}
add_filter( 'kirki/fields', 'retbo_color_fields' );


// 404 
function retbo_404_fields( $fields ) {  
    // 404 settings
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_error_404_text',
        'label'    => esc_html__( '400 Text', 'retbo' ),
        'section'  => '404_page',
        'default'  => esc_html__( '404', 'retbo' ),
        'priority' => 10,
    );
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_error_title',
        'label'    => esc_html__( 'Not Found Title', 'retbo' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Page not found', 'retbo' ),
        'priority' => 10,
    ); 
    $fields[] = array(
        'type'     => 'textarea',
        'settings' => 'retbo_error_desc',
        'label'    => esc_html__( '404 Description Text', 'retbo' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Oops! The page you are looking for does not exist. It might have been moved or deleted', 'retbo' ),
        'priority' => 10,
    ); 
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'retbo_error_link_text',
        'label'    => esc_html__( '404 Link Text', 'retbo' ),
        'section'  => '404_page',
        'default'  => esc_html__( 'Back To Home', 'retbo' ),
        'priority' => 10,
    ); 
    return $fields;
}
add_filter( 'kirki/fields', 'retbo_404_fields' );


/**
* Customization On/off
*/
function retbo_customization_fields( $fields ) {   
    //Customization_setting
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'retbo_customization_enable',
        'label'       => esc_html__( 'Customization On/off', 'retbo' ),
        'section'     => 'customization_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    );   
    return $fields;
}

add_filter( 'kirki/fields', 'retbo_customization_fields' );

/**
* WOO Setting
*/
function retbo_woo_setting( $fields ) {   
    //woo_setting
    $fields[] = array(
        'type'     => 'text',
        'settings' => 'woo_sale_tag',
        'label'    => esc_html__( 'Sale Tag', 'retbo' ),
        'section'  => 'woo_setting',
        'default'  => esc_html__( 'Sale', 'retbo' ),
        'priority' => 10,
    );   
    return $fields;
}

add_filter( 'kirki/fields', 'retbo_woo_setting' );


/**
* RTL Fields
*/
function retbo_rtl_fields( $fields ) {   
    // rtl settings
    $fields[] = array(
        'type'        => 'switch',
        'settings'    => 'rtl_switch',
        'label'       => esc_html__( 'RTL On/Off', 'retbo' ),
        'section'     => 'rtl_setting',
        'default'     => '0',
        'priority'    => 10,
        'choices'     => [
            'on'  => esc_html__( 'Enable', 'retbo' ),
            'off' => esc_html__( 'Disable', 'retbo' ),
        ],
    );   
    return $fields;
}

add_filter( 'kirki/fields', 'retbo_rtl_fields' );


/**
 * Added Fields
 */
function retbo_typo_fields( $fields ) {
    // typography settings
    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_body_setting',
        'label'       => esc_html__('Body Font', 'retbo'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'body',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h_setting',
        'label'       => esc_html__('Heading h1 Fonts', 'retbo'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h1',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h2_setting',
        'label'       => esc_html__('Heading h2 Fonts', 'retbo'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h2',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h3_setting',
        'label'       => esc_html__('Heading h3 Fonts', 'retbo'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h3',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h4_setting',
        'label'       => esc_html__('Heading h4 Fonts', 'retbo'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h4',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h5_setting',
        'label'       => esc_html__('Heading h5 Fonts', 'retbo'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h5',
            ],
        ],
    ];

    $fields[] = [
        'type'        => 'typography',
        'settings'    => 'typography_h6_setting',
        'label'       => esc_html__('Heading h6 Fonts', 'retbo'),
        'section'     => 'typo_setting',
        'default'     => [
            'font-family'    => '',
            'variant'        => '',
            'font-size'      => '',
            'line-height'    => '',
            'letter-spacing' => '0',
            'color'          => '',
        ],
        'priority'    => 10,
        'transport'   => 'auto',
        'output'      => [
            [
                'element' => 'h6',
            ],
        ],
    ];
    return $fields;
}

add_filter( 'kirki/fields', 'retbo_typo_fields' );


/**
 * This is a short hand function for getting setting value from customizer
 *
 * @param string $name
 *
 * @return bool|string
 */
function retbo_theme_option( $name ) {
	$value = '';
    if ( class_exists( 'retbo' ) )
        $value = Kirki::get_option(retbo_get_theme(), $name ); 

    return apply_filters( 'retbo_theme_option', $value, $name );
}

/**
* Get config ID
*
* @return string
*/
function retbo_get_theme() {
    return 'retbo';
}