<?php

/**
* Template Name: Blog Page
 * @package retbo
 */

get_header();

?>
<section class="blog-area pt-120 pb-80">
    <div class="container">
        <div class="row">
			<?php do_action('retbo_before_blog_content');

				$_content_layout = blog_content_layout();

				$page = ( get_query_var( 'page' ) ? get_query_var( 'page' ) : 1 );
				$paged = ( get_query_var( 'paged' ) ? get_query_var( 'paged' ) : $page );
				$wp_query = new WP_Query( array(
					'post_type' => 'post',
					'paged'     => $paged,
					'page'      => $paged,
				) );
				if ( $wp_query->have_posts() ) : ?>
					<div class="row">
						<!-- Start the Loop  -->
						<?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); global $post; 
							/*
							 * Include the Post-Type-specific template for the content.
							 * If you want to override this in a child theme, then include a file
							 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
							 */
							get_template_part( 'template-parts/content', $_content_layout ); ?>
											
						<?php endwhile;
						wp_reset_query(); ?>		
					</div>				
		            <div class="basic-pagination basic-pagination-2 mb-40">
	               		<?php retbo_pagination('<i class="fas fa-angle-double-left"></i>', '<i class="fas fa-angle-double-right"></i>', '', array('class' => '')); ?>
	                </div>
				<?php else :

					get_template_part( 'template-parts/content', 'none' );

				endif;
				?>

        	<?php do_action('retbo_after_content'); ?>
			<?php do_action('retbo_display_sidebar'); ?>
        </div>

    </div>
</section>

<?php
get_footer();