<?php
/**
 * Template Name: Demo Shop Products
 * @package retbo
 */

get_header();
$_product_columns = function_exists('get_field') ? get_field( 'product_columns' ) : NULL;
$_content_layout_style = function_exists('get_field') ? get_field( 'content_layout_style' ) : NULL;
if( $_content_layout_style == 'no-sidebar' ) {
    $retbo_woo_col = "col-xl-12 col-lg-12";
    $retbo_sidebar_col = "d-none";
}
elseif( $_content_layout_style == 'right-sidebar' AND is_active_sidebar('product-sidebar') ) {
    $retbo_sidebar_col = "col-xl-3 col-lg-3";
    $retbo_woo_col = "col-xl-9 col-lg-9 shop-sidebar-pad order-first";
}
elseif( $_content_layout_style == 'full-width' ) {
    $retbo_woo_col = "col-xl-12 col-lg-12";
    $retbo_woo_full_container = "container-fluid";
    $retbo_sidebar_col = "d-none";
}
elseif( $_content_layout_style == 'default' OR $_content_layout_style == 'left-sidebar' OR is_active_sidebar('product-sidebar') ) {
    $retbo_sidebar_col = "col-xl-3 col-lg-3";
    $retbo_woo_col = "col-xl-9 col-lg-9 shop-sidebar-pad";
}
else {
    $retbo_woo_col = "col-xl-12 col-lg-12";
    $retbo_sidebar_col = "d-none";
}
?>

    <div class="page-area pt-120 pb-120">
        <div class="container">
            <div class="row">
                <?php if (is_active_sidebar('product-sidebar')): ?>
                    <div class="<?php print esc_attr($retbo_sidebar_col); ?>">
                        <div class="product-sidebar">
                            <?php
                            /**
                             * woocommerce_sidebar hook.
                             *
                             * @hooked woocommerce_get_sidebar - 10
                             */
                            do_action('woocommerce_sidebar');
                            ?>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="<?php print esc_attr($retbo_woo_col); ?>">
                    <div class="row">
                        <?php
                        $args = array(
                            'post_type' => 'product',
                            'post_status' => 'publish',
                            'posts_per_page' => 12,
                        );
                        $loop = new WP_Query($args);
                        if ($loop->have_posts()) {
                            while ($loop->have_posts()) : $loop->the_post(); ?>
                                <div class="col-xl-<?php echo esc_attr($_product_columns); ?> col-lg-<?php echo esc_attr($_product_columns); ?> col-md-6">
                                    <?php wc_get_template_part('content', 'product'); ?>
                                </div>
                            <?php endwhile;
                        } else {
                            echo __('No products found','retbo');
                        }
                        wp_reset_postdata(); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php
get_footer();
